# Screenshot ## Get screenshot. `client.BrowserRendering.Screenshot.New(ctx, params) (*ScreenshotNewResponse, error)` **post** `/accounts/{account_id}/browser-rendering/screenshot` Takes a screenshot of a webpage from provided URL or HTML. Control page loading with `gotoOptions` and `waitFor*` options. Customize screenshots with `viewport`, `fullPage`, `clip` and others. ### Parameters - `params ScreenshotNewParams` - `AccountID param.Field[string]` Path param: Account ID. - `HTML param.Field[string]` Body param: Set the content of the page, eg: `

Hello World!!

`. Either `html` or `url` must be set. - `CacheTTL param.Field[float64]` Query param: Cache TTL default is 5s. Set to 0 to disable. - `ActionTimeout param.Field[float64]` Body param: The maximum duration allowed for the browser action to complete after the page has loaded (such as taking screenshots, extracting content, or generating PDFs). If this time limit is exceeded, the action stops and returns a timeout error. - `AddScriptTag param.Field[[]ScreenshotNewParamsVariant0AddScriptTag]` Body param: Adds a `